diff --git a/src/win32/libc_interface.c b/src/win32/libc_interface.c
new file mode 100644
index 0000000..5aab7c1
--- /dev/null
+++ b/src/win32/libc_interface.c
@@ -0,0 +1,609 @@
+/*
+ * purple
+ *
+ * Copyright (C) 2002-2003, Herman Bloggs <hermanator12002@yahoo.com>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
+ *
+ */
+#include <winsock2.h>
+#include <ws2tcpip.h>
+#include <io.h>
+#include <stdlib.h>
+#include <stdio.h>
+#include <errno.h>
+#include <sys/timeb.h>
+#include <sys/stat.h>
+#include <time.h>
+#include <ctype.h>
+#include "libc_internal.h"
+#define TSS_RESULT UINT32
+#include "tcslog.h"
+#include "flock.h"
+
+/** This is redefined here because we can't include internal.h */
+#ifdef ENABLE_NLS
+#  include <locale.h>
+#  include <libintl.h>
+#  define _(String) ((const char *)dgettext(PACKAGE, String))
+#  ifdef gettext_noop
+#    define N_(String) gettext_noop (String)
+#  else
+#    define N_(String) (String)
+#  endif
+#else
+#  include <locale.h>
+#  define N_(String) (String)
+#  ifndef _
+#    define _(String) ((const char *)String)
+#  endif
+#  define ngettext(Singular, Plural, Number) ((Number == 1) ? ((const char *)Singular) : ((const char *)Plural))
+#  define dngettext(Domain, Singular, Plural, Number) ((Number == 1) ? ((const char *)Singular) : ((const char *)Plural))
+#endif
+
+#ifndef S_ISDIR
+# define S_ISDIR(m) (((m)&S_IFDIR)==S_IFDIR)
+#endif
+
+#undef snprintf
+#define snprintf _snprintf
+
+static char errbuf[1024];
+
+/* helpers */
+static int wpurple_is_socket( int fd ) {
+	int optval;
+	int optlen = sizeof(int);
+
+	if( (getsockopt(fd, SOL_SOCKET, SO_TYPE, (void*)&optval, &optlen)) == SOCKET_ERROR ) {
+		int error = WSAGetLastError();
+		if( error == WSAENOTSOCK )
+			return FALSE;
+		else {
+//                      LogDebug("getsockopt returned error: %d", error);
+			return FALSE;
+		}
+	}
+	return TRUE;
+}
+
+/* socket.h */
+int wpurple_socket (int namespace, int style, int protocol) {
+	int ret;
+
+	ret = socket( namespace, style, protocol );
+
+	if( (unsigned)ret == INVALID_SOCKET ) {
+		errno = WSAGetLastError();
+		return -1;
+	}
+	return ret;
+}
+
+int wpurple_connect(int socket, struct sockaddr *addr, u_long length) {
+	int ret;
+
+	ret = connect( socket, addr, length );
+
+	if( ret == SOCKET_ERROR ) {
+		errno = WSAGetLastError();
+		if( errno == WSAEWOULDBLOCK )
+			errno = WSAEINPROGRESS;
+		return -1;
+	}
+	return 0;
+}
+
+int wpurple_getsockopt(int socket, int level, int optname, void *optval, socklen_t *optlenptr) {
+	if(getsockopt(socket, level, optname, optval, optlenptr) == SOCKET_ERROR ) {
+		errno = WSAGetLastError();
+		return -1;
+	}
+	return 0;
+}
+
+int wpurple_setsockopt(int socket, int level, int optname, const void *optval, socklen_t optlen) {
+	if(setsockopt(socket, level, optname, optval, optlen) == SOCKET_ERROR ) {
+		errno = WSAGetLastError();
+		return -1;
+	}
+	return 0;
+}
+
+int wpurple_getsockname(int socket, struct sockaddr *addr, socklen_t *lenptr) {
+        if(getsockname(socket, addr, lenptr) == SOCKET_ERROR) {
+                errno = WSAGetLastError();
+                return -1;
+        }
+        return 0;
+}
+
+int wpurple_bind(int socket, struct sockaddr *addr, socklen_t length) {
+        if(bind(socket, addr, length) == SOCKET_ERROR) {
+                errno = WSAGetLastError();
+                return -1;
+        }
+        return 0;
+}
+
+int wpurple_listen(int socket, unsigned int n) {
+        if(listen(socket, n) == SOCKET_ERROR) {
+                errno = WSAGetLastError();
+                return -1;
+        }
+        return 0;
+}
+
+int wpurple_sendto(int socket, const void *buf, size_t len, int flags, const struct sockaddr *to, socklen_t tolen) {
+	int ret;
+	if ((ret = sendto(socket, buf, len, flags, to, tolen)
+			) == SOCKET_ERROR) {
+		errno = WSAGetLastError();
+		if(errno == WSAEWOULDBLOCK || errno == WSAEINPROGRESS)
+			errno = EAGAIN;
+		return -1;
+	}
+	return ret;
+}
+
+/* fcntl.h */
+/* This is not a full implementation of fcntl. Update as needed.. */
+int wpurple_fcntl(int socket, int command, ...) {
+
+	switch( command ) {
+	case F_GETFL:
+		return 0;
+
+	case F_SETFL:
+	{
+		va_list args;
+		int val;
+		int ret=0;
+
+		va_start(args, command);
+		val = va_arg(args, int);
+		va_end(args);
+
+		switch( val ) {
+		case O_NONBLOCK:
+		{
+			u_long imode=1;
+			ret = ioctlsocket(socket, FIONBIO, &imode);
+			break;
+		}
+		case 0:
+		{
+			u_long imode=0;
+			ret = ioctlsocket(socket, FIONBIO, &imode);
+			break;
+		}
+		default:
+			errno = EINVAL;
+			return -1;
+		}/*end switch*/
+		if( ret == SOCKET_ERROR ) {
+			errno = WSAGetLastError();
+			return -1;
+		}
+		return 0;
+	}
+	default:
+                LogDebug("fcntl: Unsupported command");
+		return -1;
+	}/*end switch*/
+}
+
+/* sys/ioctl.h */
+int wpurple_ioctl(int fd, int command, void* val) {
+	switch( command ) {
+	case FIONBIO:
+	{
+		if (ioctlsocket(fd, FIONBIO, (unsigned long *)val) == SOCKET_ERROR) {
+			errno = WSAGetLastError();
+			return -1;
+		}
+		return 0;
+	}
+	case SIOCGIFCONF:
+	{
+		INTERFACE_INFO InterfaceList[20];
+		unsigned long nBytesReturned;
+		if (WSAIoctl(fd, SIO_GET_INTERFACE_LIST,
+				0, 0, &InterfaceList,
+				sizeof(InterfaceList), &nBytesReturned,
+				0, 0) == SOCKET_ERROR) {
+			errno = WSAGetLastError();
+			return -1;
+		} else {
+			int i;
+			struct ifconf *ifc = val;
+			char *tmp = ifc->ifc_buf;
+			int nNumInterfaces =
+				nBytesReturned / sizeof(INTERFACE_INFO);
+			for (i = 0; i < nNumInterfaces; i++) {
+				INTERFACE_INFO ii = InterfaceList[i];
+				struct ifreq *ifr = (struct ifreq *) tmp;
+				struct sockaddr_in *sa = (struct sockaddr_in *) &ifr->ifr_addr;
+
+				sa->sin_family = ii.iiAddress.AddressIn.sin_family;
+				sa->sin_port = ii.iiAddress.AddressIn.sin_port;
+				sa->sin_addr.s_addr = ii.iiAddress.AddressIn.sin_addr.s_addr;
+				tmp += sizeof(struct ifreq);
+
+				/* Make sure that we can fit in the original buffer */
+				if (tmp >= (ifc->ifc_buf + ifc->ifc_len + sizeof(struct ifreq))) {
+					break;
+				}
+			}
+			/* Replace the length with the actually used length */
+			ifc->ifc_len = ifc->ifc_len - (ifc->ifc_buf - tmp);
+			return 0;
+		}
+	}
+	default:
+		errno = EINVAL;
+		return -1;
+	}/*end switch*/
+}
+
+/* arpa/inet.h */
+int wpurple_inet_aton(const char *name, struct in_addr *addr) {
+	if((addr->s_addr = inet_addr(name)) == INADDR_NONE)
+		return 0;
+	else
+		return 1;
+}
+
+/* Thanks to GNU wget for this inet_ntop() implementation */
+const char *
+wpurple_inet_ntop (int af, const void *src, char *dst, socklen_t cnt)
+{
+  /* struct sockaddr can't accomodate struct sockaddr_in6. */
+  union {
+    struct sockaddr_in6 sin6;
+    struct sockaddr_in sin;
+  } sa;
+  DWORD dstlen = cnt;
+  size_t srcsize;
+
+  ZeroMemory(&sa, sizeof(sa));
+  switch (af)
+    {
+    case AF_INET:
+      sa.sin.sin_family = AF_INET;
+      sa.sin.sin_addr = *(struct in_addr *) src;
+      srcsize = sizeof (sa.sin);
+      break;
+    case AF_INET6:
+      sa.sin6.sin6_family = AF_INET6;
+      sa.sin6.sin6_addr = *(struct in6_addr *) src;
+      srcsize = sizeof (sa.sin6);
+      break;
+    default:
+      abort ();
+    }
+
+  if (WSAAddressToString ((struct sockaddr *) &sa, srcsize, NULL, dst, &dstlen) != 0)
+    {
+      errno = WSAGetLastError();
+      return NULL;
+    }
+  return (const char *) dst;
+}
+
+
+/* netdb.h */
+struct hostent* wpurple_gethostbyname(const char *name) {
+	struct hostent *hp;
+
+	if((hp = gethostbyname(name)) == NULL) {
+		errno = WSAGetLastError();
+		return NULL;
+	}
+	return hp;
+}
+
+/* string.h */
+char* wpurple_strerror(int errornum) {
+	if (errornum > WSABASEERR) {
+		switch(errornum) {
+			case WSAECONNABORTED: /* 10053 */
+				snprintf(errbuf, sizeof(errbuf), _("Connection interrupted by other software on your computer."));
+				break;
+			case WSAECONNRESET: /* 10054 */
+				snprintf(errbuf, sizeof(errbuf), _("Remote host closed connection."));
+				break;
+			case WSAETIMEDOUT: /* 10060 */
+				snprintf(errbuf, sizeof(errbuf), _("Connection timed out."));
+				break;
+			case WSAECONNREFUSED: /* 10061 */
+				snprintf(errbuf, sizeof(errbuf), _("Connection refused."));
+				break;
+			case WSAEADDRINUSE: /* 10048 */
+				snprintf(errbuf, sizeof(errbuf), _("Address already in use."));
+				break;
+			default:
+				snprintf(errbuf, sizeof(errbuf), "Windows socket error #%d", errornum);
+		}
+	} else {
+		const char *tmp = strerror(errornum);
+		snprintf(errbuf, sizeof(errbuf), tmp);
+	}
+	return errbuf;
+}
+
+/* unistd.h */
+
+/*
+ *  We need to figure out whether fd is a file or socket handle.
+ */
+int wpurple_read(int fd, void *buf, unsigned int size) {
+	int ret;
+
+	if (fd < 0) {
+		errno = EBADF;
+		return -1;
+	}
+
+	if(wpurple_is_socket(fd)) {
+		if((ret = recv(fd, buf, size, 0)) == SOCKET_ERROR) {
+			errno = WSAGetLastError();
+			if(errno == WSAEWOULDBLOCK || errno == WSAEINPROGRESS)
+				errno = EAGAIN;
+			return -1;
+		}
+#if 0
+		else if( ret == 0 ) {
+			/* connection has been gracefully closed */
+			errno = WSAENOTCONN;
+			return -1;
+		}
+#endif
+		else {
+			/* success reading socket */
+			return ret;
+		}
+	} else {
+		/* fd is not a socket handle.. pass it off to read */
+		return _read(fd, buf, size);
+	}
+}
+
+int wpurple_send(int fd, const void *buf, unsigned int size, int flags) {
+	int ret;
+
+	ret = send(fd, buf, size, flags);
+
+	if (ret == SOCKET_ERROR) {
+		errno = WSAGetLastError();
+		if(errno == WSAEWOULDBLOCK || errno == WSAEINPROGRESS)
+			errno = EAGAIN;
+		return -1;
+	}
+	return ret;
+}
+
+int wpurple_write(int fd, const void *buf, unsigned int size) {
+
+	if (fd < 0) {
+		errno = EBADF;
+		return -1;
+	}
+
+	if(wpurple_is_socket(fd))
+		return wpurple_send(fd, buf, size, 0);
+	else
+		return _write(fd, buf, size);
+}
+
+int wpurple_recv(int fd, void *buf, size_t len, int flags) {
+	int ret;
+
+	if((ret = recv(fd, buf, len, flags)) == SOCKET_ERROR) {
+			errno = WSAGetLastError();
+			if(errno == WSAEWOULDBLOCK || errno == WSAEINPROGRESS)
+				errno = EAGAIN;
+			return -1;
+	} else {
+		return ret;
+	}
+}
+
+int wpurple_close(int fd) {
+	int ret;
+
+	if (fd < 0) {
+		errno = EBADF;
+		return -1;
+	}
+
+	if( wpurple_is_socket(fd) ) {
+		if( (ret = closesocket(fd)) == SOCKET_ERROR ) {
+			errno = WSAGetLastError();
+			return -1;
+		}
+		else {
+			return 0;
+		}
+	}
+	else {
+		return _close(fd);
+	}
+}
+
+int wpurple_gethostname(char *name, size_t size) {
+        if(gethostname(name, size) == SOCKET_ERROR) {
+                errno = WSAGetLastError();
+			return -1;
+        }
+        return 0;
+}
+
+/* sys/time.h */
+
+int wpurple_gettimeofday(struct timeval *p, struct timezone *z) {
+	int res = 0;
+	struct _timeb timebuffer;
+
+	if (z != 0) {
+		_tzset();
+		z->tz_minuteswest = _timezone/60;
+		z->tz_dsttime = _daylight;
+	}
+
+	if (p != 0) {
+		_ftime(&timebuffer);
+		p->tv_sec = timebuffer.time;			/* seconds since 1-1-1970 */
+		p->tv_usec = timebuffer.millitm*1000; 	/* microseconds */
+	}
+
+	return res;
+}
+
+/* stdio.h */
+
+//int wpurple_rename (const char *oldname, const char *newname) {
+//	return -1; //g_rename(oldname, newname);
+//}
+
+/* time.h */
+
+//struct tm * wpurple_localtime_r (const time_t *time, struct tm *resultp) {
+//	struct tm* tmptm;
+//
+//	if(!time)
+//		return NULL;
+//	tmptm = localtime(time);
+//	if(resultp && tmptm)
+//		return memcpy(resultp, tmptm, sizeof(struct tm));
+//	else
+//		return NULL;
+//}
+
+int trousers_flock(int fd, int operation)
+{
+	HANDLE h = (HANDLE) _get_osfhandle (fd);
+	DWORD res;
+	OVERLAPPED ovlp;
+	int non_blocking;
+	DWORD size_lower = -1, size_upper = -1;
+	int flags = 0;
+	DWORD NumBytes;
+
+	if (h == INVALID_HANDLE_VALUE) {
+		errno = EBADF;
+		return -1;
+	}
+
+	non_blocking = operation & LOCK_NB;
+	operation &= ~LOCK_NB;
+	memset (&ovlp, 0, sizeof ovlp);
+
+	if (non_blocking)
+		flags |= LOCKFILE_FAIL_IMMEDIATELY;
+
+	switch (operation) {
+	case LOCK_SH:
+		res = LockFileEx (h, flags, 0, size_lower, size_upper, &ovlp);
+		break;
+	case LOCK_EX:
+		res = LockFileEx (h, flags | LOCKFILE_EXCLUSIVE_LOCK, 0, size_lower, size_upper, &ovlp);
+		break;
+	case LOCK_UN:
+		res = UnlockFileEx (h, 0, size_lower, size_upper, &ovlp);
+		break;
+	default:
+		errno = EINVAL;
+		CloseHandle(ovlp.hEvent);
+		return -1;
+	}
+
+	/* Map Windows errors into Unix errnos.  As usual MSDN fails to
+	* document the permissible error codes.
+	*/
+	if (!res) {
+		DWORD err = GetLastError ();
+		switch (err) {
+		/* This means someone else is holding a lock. */
+		case ERROR_LOCK_VIOLATION:
+			errno = EAGAIN;
+			break;
+
+		  /* Out of memory. */
+		case ERROR_NOT_ENOUGH_MEMORY:
+			errno = ENOMEM;
+			break;
+
+		case ERROR_BAD_COMMAND:
+			errno = EINVAL;
+			break;
+		case ERROR_IO_PENDING:
+			if (GetOverlappedResult(h, &ovlp, &NumBytes, TRUE) == FALSE) {
+				LogError("GetOverlappedResult for Overlapped.hEvent failed with error 0x%08x.", 
+						GetLastError());
+				CloseHandle(ovlp.hEvent);
+				return -1;
+			}
+			res = TRUE;
+			break;
+		default:
+			errno = err;
+		}
+		CloseHandle(ovlp.hEvent);
+		return -1;
+	}
+
+	CloseHandle(ovlp.hEvent);
+	return 0;
+}
+
+int trousers_strncasecmp(char *s1, char *s2, size_t n)
+{
+	if (n == 0)
+		return 0;
+
+	while (n-- != 0 && tolower(*s1) == tolower(*s2)) {
+		if (n == 0 || *s1 == '\0' || *s2 == '\0')
+			break;
+		s1++;
+		s2++;
+	}
+
+	return tolower(*(unsigned char *) s1) - tolower(*(unsigned char *) s2);
+}
+
+int trousers_strcasecmp(char *s1, char *s2)
+{
+	while (*s1 != '\0' && tolower(*s1) == tolower(*s2)) {
+		s1++;
+		s2++;
+	}
+
+	return tolower(*(unsigned char *) s1) - tolower(*(unsigned char *) s2);
+}
+
+int trousers_mlock(const void *addr, size_t len) {
+	if (VirtualLock ((void *)addr, len) == 0)
+		return 0;
+	else
+		return -1;
+}
+
+int trousers_munlock(const void *addr, size_t len) {
+	if (VirtualUnlock ((void *)addr, len) == 0)
+		return 0;
+	else
+		return -1;
+}
diff --git a/src/win32/win32dep.c b/src/win32/win32dep.c
new file mode 100644
index 0000000..b1690a4
--- /dev/null
+++ b/src/win32/win32dep.c
@@ -0,0 +1,141 @@
+/***************************************************************************
+ *                                  _   _ ____  _
+ *  Project                     ___| | | |  _ \| |
+ *                             / __| | | | |_) | |
+ *                            | (__| |_| |  _ <| |___
+ *                             \___|\___/|_| \_\_____|
+ *
+ * Copyright (C) 1998 - 2009, Daniel Stenberg, <daniel@haxx.se>, et al.
+ *
+ * This software is licensed as described in the file COPYING, which
+ * you should have received as part of this distribution. The terms
+ * are also available at http://curl.haxx.se/docs/copyright.html.
+ *
+ * You may opt to use, copy, modify, merge, publish, distribute and/or sell
+ * copies of the Software, and permit persons to whom the Software is
+ * furnished to do so, under the terms of the COPYING file.
+ *
+ * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+ * KIND, either express or implied.
+ *
+ ***************************************************************************/
+
+#include <windows.h>
+#include <stdlib.h>
+#include <stdio.h>
+#include <errno.h>
+#include <sys/stat.h>
+#include <sys/types.h>
+#include <time.h>
+#include <fcntl.h>
+#ifdef __MINGW32__
+#include <userenv.h>
+#else
+#include <Userenv.h>
+#include <direct.h>
+#endif /* __MINGW32__ */
+
+#define trousers_log_file "C://Trousers/tcsd_log.txt"
+#define MAX_LINE_LEN 512
+#define HEADER_LEN 20
+
+#undef snprintf
+#define snprintf _snprintf
+
+char *trousers_getUserDir(void)			//WARNING: code from PhysicsFS
+{
+	DWORD psize = 100;
+	char dummy[100];
+	BOOL rc = 0;
+	HANDLE processHandle;
+	HANDLE accessToken = NULL;
+	char *userDir = NULL;
+
+	processHandle = GetCurrentProcess();
+	if (OpenProcessToken(processHandle, TOKEN_QUERY, &accessToken)) {
+		rc = GetUserProfileDirectory(accessToken, dummy, &psize);
+		if(!rc)
+			return NULL;
+
+		userDir = strdup(dummy);
+
+		CloseHandle(processHandle);
+	}
+	return userDir;
+}
+
+
+/* Private pseudo-random number seed. Unsigned integer >= 32bit. Threads
+   mutual exclusion is not implemented to acess it since we do not require
+   high quality random numbers (only used in form boudary generation). */
+
+static unsigned int randseed;
+
+/* Pseudo-random number support. */
+
+unsigned int Curl_rand(void)
+{
+	unsigned int r;
+	/* Return an unsigned 32-bit pseudo-random number. */
+	r = randseed = randseed * 1103515245 + 12345;
+	return (r << 16) | ((r >> 16) & 0xFFFF);
+}
+
+void Curl_srand(void)
+{
+	/* Randomize pseudo-random number sequence. */
+
+	randseed = (unsigned int) time(NULL);
+	Curl_rand();
+	Curl_rand();
+	Curl_rand();
+}
+
+void trousers_setenv(const char *name, const char *value, int overwrite) {
+	int len = 0;
+	char *str = NULL;
+
+	if (getenv(name) != NULL && overwrite == 0)
+		return;
+
+	len = strlen(name) + 1 + strlen(value) + 1 + 1;
+	str = malloc(len);
+	if (str == NULL)
+		return;
+
+	snprintf(str, len, "%s=%s", name, value);
+	putenv(str);
+	free(str);
+}
+
+void trousers_log(const char *layer, const char *fmt, ...)
+{
+	int fh;
+	va_list ap;
+	char *line = NULL;
+	int offset = 0;
+
+	time_t tv;
+	struct tm t;
+	time(&tv);
+	memcpy(&t, localtime(&tv), sizeof(t));
+	va_start(ap, fmt);
+
+	fh = open(trousers_log_file, O_CREAT | O_WRONLY | O_APPEND | O_BINARY, 0600);
+	if (fh >=0) {
+		line = (char *)malloc(MAX_LINE_LEN);
+		if (line == NULL)
+			return;
+
+		memset(line, 0, MAX_LINE_LEN);
+		offset += snprintf(line, MAX_LINE_LEN, "%04d-%02d-%02d %02d:%02d:%02d ",
+			t.tm_year + 1900, t.tm_mon + 1, t.tm_mday,
+			t.tm_hour, t.tm_min, t.tm_sec);
+		offset += snprintf(line + offset, MAX_LINE_LEN - offset, "-%s- ", layer);
+		offset += vsnprintf(line + offset, MAX_LINE_LEN - offset, fmt, ap);
+		write(fh, line, offset);
+		close(fh);
+		free(line);
+	}
+	va_end(ap);
+}
diff --git a/tools/Makefile.am b/tools/Makefile.am
index 41c87ba..7a404f6 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -7,3 +7,9 @@ ps_inspect_CFLAGS=-I${top_srcdir}/src/include
 ps_convert_SOURCES=ps_convert.c
 ps_convert_LDADD=${top_builddir}/src/tspi/libtspi.la
 ps_convert_CFLAGS=-I${top_srcdir}/src/include
+
+
+if OS_WIN32
+ps_inspect_LDADD+=${top_builddir}/src/win32/libc_interface.la
+ps_convert_LDADD+=${top_builddir}/src/win32/libc_interface.la
+endif
diff --git a/tools/ps_convert.c b/tools/ps_convert.c
index 2a2d85a..63caf4d 100644
--- a/tools/ps_convert.c
+++ b/tools/ps_convert.c
@@ -64,7 +64,7 @@
 #define PRINTERR(...)	fprintf(stderr, ##__VA_ARGS__)
 #define PRINT(...)	printf("PS " __VA_ARGS__)
 
-#define OUT(stream, buf, size) \
+#define OUTDATA(stream, buf, size) \
 	do { \
 		if (fwrite(buf, size, 1, stream) != 1) { \
 			PRINTERR("fwrite error: %s\n", strerror(errno)); \
@@ -107,17 +107,17 @@ convertkey_0(FILE *in, FILE *out)
 	int members;
 
 	/* output the key's UUID and parent UUID */
-	OUT(out, buf, sizeof(TSS_UUID));
-	OUT(out, &buf[sizeof(TSS_UUID)], sizeof(TSS_UUID));
+	OUTDATA(out, buf, sizeof(TSS_UUID));
+	OUTDATA(out, &buf[sizeof(TSS_UUID)], sizeof(TSS_UUID));
 
 	pub_data_size = *(UINT16 *)&buf[(2 * sizeof(TSS_UUID))];
 	blob_size = *(UINT16 *)&buf[(2 * sizeof(TSS_UUID)) + sizeof(UINT16)];
 	cache_flags = *(UINT16 *)&buf[2*sizeof(TSS_UUID) + 2*sizeof(UINT16)];
 
-	OUT(out, &pub_data_size, sizeof(UINT16));
-	OUT(out, &blob_size, sizeof(UINT16));
-	OUT(out, &vendor_data_size, sizeof(UINT32));
-	OUT(out, &cache_flags, sizeof(UINT16));
+	OUTDATA(out, &pub_data_size, sizeof(UINT16));
+	OUTDATA(out, &blob_size, sizeof(UINT16));
+	OUTDATA(out, &vendor_data_size, sizeof(UINT32));
+	OUTDATA(out, &cache_flags, sizeof(UINT16));
 
 	/* trash buf, we've got what we needed from it */
 	if ((members = fread(buf, pub_data_size + blob_size,
@@ -126,8 +126,8 @@ convertkey_0(FILE *in, FILE *out)
 		return -1;
 	}
 
-	OUT(out, buf, pub_data_size);
-	OUT(out, &buf[pub_data_size], blob_size);
+	OUTDATA(out, buf, pub_data_size);
+	OUTDATA(out, &buf[pub_data_size], blob_size);
 
 	return 0;
 }
@@ -140,10 +140,10 @@ version_0_convert(FILE *in, FILE *out)
 	UINT32 *u32 = (UINT32 *) &buf;
 
 	/* output the PS version */
-	OUT(out, "\1", 1);
+	OUTDATA(out, "\1", 1);
 
 	/* number of keys */
-	OUT(out, u32, sizeof(UINT32));
+	OUTDATA(out, u32, sizeof(UINT32));
 
 	/* The +- 1's below account for the byte we read in to determine
 	 * if the PS file had a version byte at the beginning */
